#! /usr/bin/env python3

import os, sys, pprint


class show_system_info:
    def __init__(self, os_release_file = str) -> None:
        self.release_file = os_release_file

    def os_release(self):
        my_discts = {}
        with open(self.release_file, "r") as file:
            lines = list(map(str.rstrip, file))
        for line in lines:
            date = line.split("=")
            my_discts[date[0]] = date[1]
        return my_discts
    
    def __str__(self) -> str:
        return str(show_system_info.os_release(self))


if not os.path.exists(os.sep + "home" + os.sep + os.environ["USER"]) is True: 
    print("yes")




system_info = show_system_info(os_release_file="/etc/os-release")
print(system_info)

